Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointSetSource Class Reference

`#include <vtkPointSetSource.h>`

Inheritance diagram for vtkPointSetSource:

[legend]
Collaboration diagram for vtkPointSetSource:

[legend]
List of all members.

## Detailed Description

abstract class whose subclasses generate point data

Date:
  2002/10/04 20:43:44

Revision:
  1.16

vtkPointSetSource is an abstract class whose subclasses generate pointdata.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (75%)
  - Cedilnik, Andy (15%)
  - Biddiscombe, John (6%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkPointSetSource.h)`
  - .`cxx` (`/Filtering/vtkPointSetSource.cxx)`

Definition at line 44 of file vtkPointSetSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPointSet * | GetOutput ()
vtkPointSet * | GetOutput (int idx)
void | SetOutput (vtkPointSet *output)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPointSetSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointSetSource ()
| ~vtkPointSetSource ()

## Member Typedef Documentation

typedef vtkSource vtkPointSetSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter. Definition at line 47 of file vtkPointSetSource.h.

## Constructor & Destructor Documentation

vtkPointSetSource::vtkPointSetSource | ( |  | ) | `[protected]`

vtkPointSetSource::~vtkPointSetSource | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkPointSetSource.h.

## Member Function Documentation

virtual const char* vtkPointSetSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

int vtkPointSetSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

virtual int vtkPointSetSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

vtkPointSetSource* vtkPointSetSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

void vtkPointSetSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter, vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

vtkPointSet* vtkPointSetSource::GetOutput | ( |  | ) |

| Get the output of this source. Reimplemented in vtkPointSetToPointSetFilter. Referenced by vtkPointSetToPointSetFilter::GetOutput().

vtkPointSet* vtkPointSetSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource. Reimplemented in vtkPointSetToPointSetFilter.

void vtkPointSetSource::SetOutput | ( | vtkPointSet * | output | ) |

| Get the output of this source.

The documentation for this class was generated from the following file:

- Filtering/vtkPointSetSource.h